<div class="primary-menu">
  <ul class="primary-menu-list">

    <sly data-sly-list.pmMenuMf=${resource.children}>
      <sly data-sly-test="${pmMenuMf.name == 'pmMenuFieldset'}">
        <sly data-sly-list.pmMenuItems=${pmMenuMf.children}>

          <sly data-sly-test="${pmMenuItems.hasSubMenu}">
            <li>
              <a href="${pmMenuItems.pmMenuLinkAddress}" class="primary-menu-link dd"
                id="${pmMenuItems.pmMenuLinkId}">${pmMenuItems.pmMenuLinkTitle}</a>

              <div class="hover-wrap ${!wcmmode.edit ? 'hidden' : ''}" id="${pmMenuItems.pmMenuLinkId}-panel">
                <div class="boxContainer">
                  <h2 data-sly-test="${pmMenuItems.menuTitle}" class="hover-wrap-heading">
                    <a href="${pmMenuItems.menuTitleLink ? pmMenuItems.menuTitleLink : 'javascript: void(0)'}">${pmMenuItems.menuTitle}</a>
                  </h2>

                  <div class="adjust-wrap">

                    <sly data-sly-test="${pmMenuItems.fragLayout == 'singleCF'}">
                      <sly data-sly-test.searchPath="${pmMenuItems.cfRef}"></sly>
                      <sly data-sly-use.menuModel="${'com.housingdevelopmentfinancecorp.core.models.HeaderMenuDetailsModel' @searchpath=searchPath }"/>
                      <sly data-sly-list.child="${menuModel.HeaderMenuModel}">
                        <ul class="hover-nav-list">
                          <li class="hover-nav-list-item">
                            <a href="${child.listTitleLink}">
                              <img src="${child.iconPath}" alt="${child.iconAltText}" class="hover-nav-list-icon">
                            </a>
                          </li>
                          <li class="hover-nav-list-item hover-heading">
                            <a href="${child.listTitleLink}" class="hover-nav-list-link hover-nav-list-heading" title="${child.listTitle @ context = 'html'}">${child.listTitle @ context = 'html'}</a>
                          </li>
                          <ul class="${child.listColumns}">
                            <sly data-sly-list.item=${child.listItems}>
                              <li class="hover-nav-list-item">${item @ context = 'html'}</li>
                            </sly>
                          </ul>
                        </ul>
                      </sly>
                    </sly>

                    <sly data-sly-test="${pmMenuItems.fragLayout == 'multiCF'}">
                      <sly data-sly-test.searchPathF="${pmMenuItems.firstCfRef}">    
                        <sly data-sly-use.menuModelF="${'com.housingdevelopmentfinancecorp.core.models.HeaderMenuDetailsModel' @searchpath=searchPathF }"/>
                        <div class="icons-hover-div">
                          <h2 class="hover-wrap-heading">
                            <a href="${pmMenuItems.firstMenuTitleLink ? pmMenuItems.firstMenuTitleLink : 'javascript: void(0)'}">${pmMenuItems.firstMenuTitle @ context = 'html'}</a>
                          </h2>
                          <ul class="hover-icon-list">
                            <sly data-sly-list.firstRef="${menuModelF.HeaderMenuModel}">
                              <li class="hover-icon-list-item">
                                <a href="${firstRef.listTitleLink}" class="hover-icon-link" title="${firstRef.listTitle @ context = 'html'}">
                                  <img class="hover-icon" src="${firstRef.iconPath}" alt="${firstRef.iconAltText}">
                                  ${firstRef.listTitle @ context = 'html'}
                                </a>
                              </li>
                            </sly>
                          </ul>
                        </div>
                      </sly>

                      <sly data-sly-test.searchPathS="${pmMenuItems.secondCfRef}">
                        <div class="hr-div"></div>
                        <sly data-sly-use.menuModelS="${'com.housingdevelopmentfinancecorp.core.models.HeaderMenuDetailsModel' @searchpath=searchPathS }"/>
                        <div class="icons-hover-div">
                          <h2 class="hover-wrap-heading">
                            <a href="${pmMenuItems.secondMenuTitleLink ? pmMenuItems.secondMenuTitleLink : 'javascript: void(0)'}">${pmMenuItems.secondMenuTitle @ context = 'html'}</a>
                          </h2>
                          <ul class="hover-icon-list">
                            <sly data-sly-list.secondRef="${menuModelS.HeaderMenuModel}">
                              <li class="hover-icon-list-item">
                                <a href="${secondRef.listTitleLink}" class="hover-icon-link" title="${secondRef.listTitle @ context = 'html'}">
                                  <img class="hover-icon" src="${secondRef.iconPath}" alt="${secondRef.iconAltText}">
                                  ${secondRef.listTitle @ context = 'html'}
                                </a>
                              </li>
                            </sly>
                          </ul>
                        </div>
                      </sly>
                    </sly>

                    <!-- <div data-sly-test.id="${pmMenuItems.pmMenuLinkId}" class="rg-container">
                      <sly data-sly-resource="${id @ resourceType='wcm/foundation/components/responsivegrid'}"></sly>
                    </div> -->

                    <sly data-sly-test="${pmMenuItems.hasSideMenu}">
                      <div class="hr-div"></div>
                      <div class="hover-info-div">
                        <sly data-sly-list.contactInfoMf=${pmMenuItems.children}>
                          <sly data-sly-test="${contactInfoMf.name == 'contactInfoFieldset'}">
                            <sly data-sly-list.contactInfoItems=${contactInfoMf.children}>
                              <div class="enquiry-info-div">
                                <p>${contactInfoItems.ciTitle}</p>
                                <span>
                                  <a href="${contactInfoItems.ciLink}">
                                    <img src="${contactInfoItems.ciIconPath}"
                                      alt="${contactInfoItems.ciAltText}">
                                    ${contactInfoItems.ciText @ context = 'html'}</a>
                                </span>
                              </div>
                            </sly>
                          </sly>
                        </sly>
                      
                        <sly data-sly-test="${properties.queryText}">
                          <div class="enquiry-info-div">
                            <p class="query-text">${pmMenuItems.queryText}</p>
                            <a href="${pmMenuItems.queryLinkAddress}" class="query-link">${pmMenuItems.queryLinkText}</a>
                          </div>
                        </sly>
                      
                        <div class="follow-social-div">
                          <p>${pmMenuItems.smTitle}</p>
                          <div class="social-icon-wrap">
                            <sly data-sly-list.socialIconsMf=${pmMenuItems.children}>
                              <sly data-sly-test="${socialIconsMf.name == 'socialIconsFieldset'}">
                                <sly data-sly-list.socialIconItems=${socialIconsMf.children}>
                                  <a href="${socialIconItems.socialIconLink}"><img class="follow-social-icon" src="${socialIconItems.socialIconPath}" alt="${socialIconItems.socialAltText}"></a>
                                </sly>
                              </sly>
                            </sly>
                          </div>
                        </div>
                      </div>
                    </sly>
                  </div>
                </div>
              </div>
            </li>
          </sly>

          <sly data-sly-test="${!pmMenuItems.hasSubMenu}">
            <li><a href="${pmMenuItems.pmMenuLinkAddress}"
                class="primary-menu-link">${pmMenuItems.pmMenuLinkTitle}</a>
            </li>
          </sly>

        </sly>
      </sly>
    </sly>

  </ul>
</div>

<div id="mn-menu">
  <div class="mn-menu-wrap">
    <ul class="mn-primary-menu">
      <sly data-sly-list.pmMenuMf=${resource.children}>
        <sly data-sly-test="${pmMenuMf.name == 'pmMenuFieldset'}">
          <sly data-sly-list.pmMenuItems=${pmMenuMf.children}>
            <sly data-sly-test="${pmMenuItems.hasSubMenu}">
              <li class="mn-primary-menu-item dd">
                <a href="${pmMenuItems.pmMenuLinkAddress}" class="mn-primary-menu-link dd">
                  ${pmMenuItems.pmMenuLinkTitle}
                </a>
                <ul class="mn-sub-menu">
                  <li class="mn-back-btn"><a href="#mm-1">${pmMenuItems.pmMenuLinkTitle}</a></li>
                  <sly data-sly-test="${pmMenuItems.fragLayout == 'singleCF'}">
                    <sly data-sly-test.searchPath="${pmMenuItems.cfRef}"></sly>
                    <sly data-sly-use.menuModel="${'com.housingdevelopmentfinancecorp.core.models.HeaderMenuDetailsModel' @searchpath=searchPath }"/>
                    <sly data-sly-list.child="${menuModel.HeaderMenuModel}">
                      <li class="mn-sub-menu-item">
                        <a href="${child.listTitleLink}" class="mn-sub-menu-link mn-heading">${child.listTitle}</a>
                      </li>
                      <sly data-sly-list.item=${child.listItems}>
                        <li class="mn-sub-menu-item">
                          ${item @ context = 'html'}
                        </li>
                      </sly>
                    </sly>
                  </sly>

                  <sly data-sly-test="${pmMenuItems.fragLayout == 'multiCF'}">
                    <sly data-sly-test.searchPathF="${pmMenuItems.firstCfRef}">    
                      <sly data-sly-use.menuModelF="${'com.housingdevelopmentfinancecorp.core.models.HeaderMenuDetailsModel' @searchpath=searchPathF }"/>
                      <li class="mn-sub-menu-item">
                        <a href="${pmMenuItems.firstMenuTitleLink ? pmMenuItems.firstMenuTitleLink : 'javascript: void(0)'}" class="mn-sub-menu-link mn-heading">${pmMenuItems.firstMenuTitle @ context = 'html'}</a>
                      </li>
                      <sly data-sly-list.firstRef="${menuModelF.HeaderMenuModel}">
                        <li class="mn-sub-menu-item">
                          <a href="${firstRef.listTitleLink}" class="mn-sub-menu-link">${firstRef.listTitle @ context = 'html'}</a>
                        </li>
                      </sly>
                    </sly>

                    <sly data-sly-test.searchPathS="${pmMenuItems.secondCfRef}">    
                      <sly data-sly-use.menuModelS="${'com.housingdevelopmentfinancecorp.core.models.HeaderMenuDetailsModel' @searchpath=searchPathS }"/>
                      <li class="mn-sub-menu-item">
                        <a href="${pmMenuItems.secondMenuTitleLink ? pmMenuItems.secondMenuTitleLink : 'javascript: void(0)'}" class="mn-sub-menu-link mn-heading">${pmMenuItems.secondMenuTitle @ context = 'html'}</a>
                      </li>
                      <sly data-sly-list.secondRef="${menuModelS.HeaderMenuModel}">
                        <li class="mn-sub-menu-item">
                          <a href="${secondRef.listTitleLink}" class="mn-sub-menu-link">${secondRef.listTitle @ context = 'html'}</a>
                        </li>
                      </sly>
                    </sly>
                  </sly>

                  <sly data-sly-test="${pmMenuItems.hasSideMenu}">
                    <div class="mobile-hover-info-div">
                      <sly data-sly-list.contactInfoMf=${pmMenuItems.children}>
                        <sly data-sly-test="${contactInfoMf.name == 'contactInfoFieldset'}">
                          <sly data-sly-list.contactInfoItems=${contactInfoMf.children}>
                            <div class="mn enquiry-info-div">
                              <p>${contactInfoItems.ciTitle}</p>
                              <span>
                                <a href="${contactInfoItems.ciLink}">
                                  <img src="${contactInfoItems.ciIconPath}"
                                    alt="${contactInfoItems.ciAltText}">
                                  ${contactInfoItems.ciText @ context = 'html'}</a>
                              </span>
                            </div>
                          </sly>
                        </sly>
                      </sly>
                    
                      <sly data-sly-test="${pmMenuItems.queryText}">
                        <div class="mn enquiry-info-div">
                          <p class="query-text">${pmMenuItems.queryText}
                          <a href="${pmMenuItems.queryLinkAddress}" class="query-link">${pmMenuItems.queryLinkText}</a></p>
                        </div>
                      </sly>
                    
                      <div class="mn follow-social-div">
                        <p>${pmMenuItems.smTitle}</p>
                        <div class="mn social-icon-wrap">
                          <sly data-sly-list.socialIconsMf=${pmMenuItems.children}>
                            <sly data-sly-test="${socialIconsMf.name == 'socialIconsFieldset'}">
                              <sly data-sly-list.socialIconItems=${socialIconsMf.children}>
                                <a href="${socialIconItems.socialIconLink}"><img class="mn follow-social-icon" src="${socialIconItems.socialIconPath}" alt="${socialIconItems.socialAltText}"></a>
                              </sly>
                            </sly>
                          </sly>
                        </div>
                      </div>
                    </div>
                  </sly>
                </ul>
              </li>
            </sly>

            <sly data-sly-test="${!pmMenuItems.hasSubMenu}">
              <li class="mn-primary-menu-item">
                <a href="${pmMenuItems.pmMenuLinkAddress}" class="mn-primary-menu-link">
                  ${pmMenuItems.pmMenuLinkTitle}
                </a>
              </li>
            </sly>
          </sly>
        </sly>
      </sly>
    </ul>

    <div class="mn-ec-menu">
      <a href="javascript: void(0)" class="mn-ec-menu-open">
        ${properties.ecBtnTitle}
      </a>
    </div>

    <ul class="mn-secondary-menu">
      <sly data-sly-test.sdSearchPath="${properties.sdMenuCfRef}"></sly>
      <sly data-sly-use.sdModel="${'com.housingdevelopmentfinancecorp.core.models.HeaderMenuDetailsModel' @searchpath=sdSearchPath }"/>
      <sly data-sly-list.sdItem="${sdModel.HeaderMenuModel}">
        <sly data-sly-list.item=${sdItem.secondaryMenuItem}>
          <li class="mn-secondary-menu-item">
            ${item @ context = 'html'}
          </li>
        </sly>
      </sly>
    </ul>

    <div class="mn-main-footer">
      <h6 class="mn-main-footer-heading">${properties.mnFooterHeading}</h6>
      <sly data-sly-list.contactInfoMf=${resource.children}>
        <sly data-sly-test="${contactInfoMf.name == 'mnCiFieldset'}">
          <sly data-sly-list.contactInfoItems=${contactInfoMf.children}>
            <div class="mn enquiry-info-div">
              <p>${contactInfoItems.ciTitle}</p>
              <span>
                <a href="${contactInfoItems.ciLink}">
                  <img src="${contactInfoItems.ciIconPath}"
                    alt="${contactInfoItems.ciAltText}">
                  ${contactInfoItems.ciText @ context = 'html'}</a>
              </span>
            </div>
          </sly>
        </sly>
      </sly>
    </div>
  </div>
</div>